import fetch from 'isomorphic-fetch';
import * as actionTypes from '../actiontype/ScanBarCode';
const domain = 'http://test.mjitech.com';
const fakeJsonData = {
    "meta": {
        "code": "200",
        "message": "成功",
        "success": true
    },
    "data": {
        "needCheck": true,
        "inventorylossId": 0,
        "skuBaseInfoVo": {
            "skuId": 972,
            "skuNumber": "UB000972",
            "skuName": "怡宝饮用纯净水",
            "skuImagePath": "http://static.mjitech.com/static/sku/0/0/972/1503296770206.jpg",
            "barcode": "6901285991219",
            "skuAttributesVoList": [
                {
                    "name": "净含量",
                    "value": "555",
                    "unit": "ml"
                }
            ]
        },
        "inventory": null,
        "skuPassVoList": [
            {
                "id": 14466,
                "warehouseId": 21,
                "cabinetAreaId": 21,
                "shelfId": 21211,
                "skuId": 972,
                "skuPassNumber": 2,
                "width": 6,
                "xPosition": 10,
                "yPosition": 15,
                "xAxis": 6,
                "yAxis": 6,
                "x1Axis": 0,
                "y1Axis": 45,
                "xOffset": 13,
                "yOffset": 12,
                "status": "使用中",
                "quantity": 0,
                "realQuantity": 97,
                "maxStock": 5,
                "scrapQuantity": 0,
                "remarks": "21_5_1_2",
                "deleted": 0,
                "skuName": "怡宝饮用纯净水",
                "skuNumber": "UB000972",
                "cabinetNumber": 3,
                "willoffSkuNumber": 0
            }
        ],
        "packingList": [
            "未确认包装情况",
            "包装完整",
            "包装损坏"
        ],
        "positionList": [
            "未确认位置",
            "机械手平台",
            "出货传送区",
            "轨道",
            "其他位置"
        ]
    }
}
const fakeJsonData2 = {
    "meta": {
        "code": "200",
        "message": "成功",
        "success": true
    },
    "data": {}}
export function scanBarCodeGetProductInfo(postData) {
    return (dispatch) => {
       /* let url = String(domain+'/web/scanning_sku_barcode_for_add_loss_task');
        fetch(url,{
            credentials : 'include',
            method : 'POST',
            mode : 'cors',
            body : JSON.stringify(postData)

        }).then((response) => response.json())
            .then(
                (json)=>{
                    if(json.is_succ){

                    }else{
                    }
                }
            ).catch(e=>dispatch(console.log("出现错误"))
        )*/
        dispatch(initSuccess(fakeJsonData.data))
    }
}

export function submitProductInfo(postaData) {
    return (dispatch)=>{
        /* let url = String(domain+'/web/ssubmit_add_loss_task');
        fetch(url,{
            credentials : 'include',
            method : 'POST',
            mode : 'cors',
            body : JSON.stringify(postData)

        }).then((response) => response.json())
            .then(
                (json)=>{
                    if(json.is_succ){

                    }else{
                    }
                }
            ).catch(e=>dispatch(console.log("出现错误"))
        )*/
        let submit = {
            "submit":true
        }
        dispatch(submitProductSuccess(submit))
    }
}
function initSuccess(data) {
    return {
        type: actionTypes.INIT_SCANBARCODEGETPRODUCTINFO_SUCCESS,
        data
    }
}
function submitProductSuccess(data) {
    return {
        type:actionTypes.SUBMIT_PRODUCT_SUCCESS,
        data
    }
}